OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.VertexBufferUnifiedMemory

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVVertexBufferUnifiedMemory :: MonadIO m => m Bool
- gl_NV_vertex_buffer_unified_memory :: Bool
- pattern GL_COLOR_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_COLOR_ARRAY_LENGTH_NV :: GLenum
- pattern GL_DRAW_INDIRECT_ADDRESS_NV :: GLenum
- pattern GL_DRAW_INDIRECT_LENGTH_NV :: GLenum
- pattern GL_DRAW_INDIRECT_UNIFIED_NV :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_LENGTH_NV :: GLenum
- pattern GL_ELEMENT_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_ELEMENT_ARRAY_LENGTH_NV :: GLenum
- pattern GL_ELEMENT_ARRAY_UNIFIED_NV :: GLenum
- pattern GL_FOG_COORD_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_FOG_COORD_ARRAY_LENGTH_NV :: GLenum
- pattern GL_INDEX_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_INDEX_ARRAY_LENGTH_NV :: GLenum
- pattern GL_NORMAL_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_NORMAL_ARRAY_LENGTH_NV :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_LENGTH_NV :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_LENGTH_NV :: GLenum
- pattern GL_VERTEX_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_VERTEX_ARRAY_LENGTH_NV :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV :: GLenum
- glBufferAddressRangeNV :: MonadIO m => GLenum -> GLuint -> GLuint64EXT -> GLsizeiptr -> m ()
- glColorFormatNV :: MonadIO m => GLint -> GLenum -> GLsizei -> m ()
- glEdgeFlagFormatNV :: MonadIO m => GLsizei -> m ()
- glFogCoordFormatNV :: MonadIO m => GLenum -> GLsizei -> m ()
- glGetIntegerui64i_vNV :: MonadIO m => GLenum -> GLuint -> Ptr GLuint64EXT -> m ()
- glIndexFormatNV :: MonadIO m => GLenum -> GLsizei -> m ()
- glNormalFormatNV :: MonadIO m => GLenum -> GLsizei -> m ()
- glSecondaryColorFormatNV :: MonadIO m => GLint -> GLenum -> GLsizei -> m ()
- glTexCoordFormatNV :: MonadIO m => GLint -> GLenum -> GLsizei -> m ()
- glVertexAttribFormatNV :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLsizei -> m ()
- glVertexAttribIFormatNV :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> m ()
- glVertexFormatNV :: MonadIO m => GLint -> GLenum -> GLsizei -> m ()

# Extension Support

glGetNVVertexBufferUnifiedMemory :: MonadIO m => m Bool Source #

Is the NV_vertex_buffer_unified_memory extension supported?

gl_NV_vertex_buffer_unified_memory :: Bool Source #

Is the NV_vertex_buffer_unified_memory extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVertexBufferUnifiedMemory` in those cases instead.

# Enums

pattern GL_COLOR_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_COLOR_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_DRAW_INDIRECT_ADDRESS_NV :: GLenum Source #

pattern GL_DRAW_INDIRECT_LENGTH_NV :: GLenum Source #

pattern GL_DRAW_INDIRECT_UNIFIED_NV :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_ELEMENT_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_ELEMENT_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_ELEMENT_ARRAY_UNIFIED_NV :: GLenum Source #

pattern GL_FOG_COORD_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_FOG_COORD_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_INDEX_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_INDEX_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_NORMAL_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_NORMAL_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_VERTEX_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_VERTEX_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV :: GLenum Source #

# Functions

glBufferAddressRangeNV Source #

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLuint | `index`.
-> GLuint64EXT | `address`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> m () |

glColorFormatNV Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glEdgeFlagFormatNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `stride`.
-> m () |

glFogCoordFormatNV Source #

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glGetIntegerui64i_vNV Source #

Arguments

:: MonadIO m |
=> GLenum | `value`.
-> GLuint | `index`.
-> Ptr GLuint64EXT | `result` pointing to `COMPSIZE(value)` elements of type `GLuint64EXT`.
-> m () |

glIndexFormatNV Source #

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glNormalFormatNV Source #

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glSecondaryColorFormatNV Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLsizei | `stride`.
-> m () |

glTexCoordFormatNV Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glVertexAttribFormatNV Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribType.
-> GLboolean | `normalized` of type Boolean.
-> GLsizei | `stride`.
-> m () |

glVertexAttribIFormatNV Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribIType.
-> GLsizei | `stride`.
-> m () |

glVertexFormatNV Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> GLsizei | `stride`.
-> m () |